umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

List of all members
Ui::CodeGenOptionsPage Class Reference

`#include <ui_codegenoptionspage.h>`

Inheritance diagram for Ui::CodeGenOptionsPage:

## Additional Inherited Members
Public Member Functions inherited from Ui_CodeGenOptionsPage
void | setupUi (QWidget *CodeGenOptionsPage)
void | retranslateUi (QWidget *CodeGenOptionsPage)
Public Attributes inherited from Ui_CodeGenOptionsPage
QVBoxLayout * | vboxLayout
QTabWidget * | ui_tabWidgetMain
QWidget * | ui_tabGeneral
QVBoxLayout * | vboxLayout1
QVBoxLayout * | vboxLayout2
QGroupBox * | ui_groupBoxLanguage
QVBoxLayout * | vboxLayout3
KComboBox * | ui_SelectLanguageBox
QGroupBox * | ui_groupBoxFolders
QVBoxLayout * | vboxLayout4
QLabel * | ui_textLabelFolder
QHBoxLayout * | hboxLayout
KLineEdit * | ui_outputDir
QPushButton * | ui_browseOutput
QCheckBox * | ui_includeHeadings
QHBoxLayout * | hboxLayout1
KLineEdit * | ui_headingsDir
QPushButton * | ui_browseHeadings
QGroupBox * | ui_groupBoxOverwritePolicy
QVBoxLayout * | vboxLayout5
QLabel * | ui_textLabelOverwritePolicy
QVBoxLayout * | vboxLayout6
QRadioButton * | ui_radioButtonOverwrite
QRadioButton * | ui_radioButtonAsk
QRadioButton * | ui_radioButtonChangeName
QWidget * | ui_tabFormatting
QGridLayout * | gridLayout
QGridLayout * | gridLayout1
QGroupBox * | ui_groupBoxComment
QVBoxLayout * | vboxLayout7
QCheckBox * | ui_forceDoc
QCheckBox * | ui_forceSections
QGroupBox * | ui_groupBoxLines
QVBoxLayout * | vboxLayout8
QHBoxLayout * | hboxLayout2
QLabel * | ui_textLabelType
KComboBox * | ui_SelectIndentationTypeBox
QHBoxLayout * | hboxLayout3
QLabel * | ui_textLabelAmount
QSpinBox * | ui_SelectIndentationNumber
QHBoxLayout * | hboxLayout4
QLabel * | ui_textLabelStyle
KComboBox * | ui_SelectEndLineCharsBox

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_codegenoptionspage.h